const PeripheralsCtrl = require('../controllers/peripherals');

const peripheralsRoutes = (router) => {
    const peripheralsCtrl = new PeripheralsCtrl();

    router.route('/peripherals/status').post(peripheralsCtrl.status);
    router.route('/peripherals/print').post(peripheralsCtrl.print);
    router.route('/peripherals/paper').post(peripheralsCtrl.paper);
    router.route('/peripherals/scan').post(peripheralsCtrl.scan);
    router.route('/peripherals/display').post(peripheralsCtrl.display);
    router.route('/peripherals/openCashdrawer').post(peripheralsCtrl.openCashdrawer);
    router.route('/peripherals/loadCardTemplate').post(peripheralsCtrl.loadCardTemplate);
    router.route('/peripherals/saveCardTemplate').post(peripheralsCtrl.saveCardTemplate);
    router.route('/peripherals/previewCard').post(peripheralsCtrl.previewCard);
    router.route('/peripherals/printCard').post(peripheralsCtrl.printCard);
    router.route('/peripherals/edcTerminal').post(peripheralsCtrl.edcTerminal);
    router.route('/peripherals/printluggage').post(peripheralsCtrl.printLuggage);
    router.route('/peripherals/block').post(peripheralsCtrl.block);
    router.route('/peripherals/scripts').post(peripheralsCtrl.scripts);
}

module.exports = peripheralsRoutes;
